#ifndef _OUTPUTQUALITYWIDGET_H
#define _OUTPUTQUALITYWIDGET_H

#include <qwidget.h>
#include <qslider.h>
#include <qlabel.h>

class OutputQualityWidget : public QWidget
{
	Q_OBJECT
	
	public:
		OutputQualityWidget ( QWidget * parent = NULL, const char * name = NULL, WFlags flags = 0 );

		unsigned int Value ( ) const;

	private slots:
		void QualityAdjusted ( int );
		
	private:
		QSlider * m_quality;
		QLabel * m_qualityDisplay;
};

#endif
