#ifndef _PROCESSINGOPTIONSWIDGET_H
#define _PROCESSINGOPTIONSWIDGET_H

#include <qvbox.h>
#include <qstring.h>
#include <qsize.h>

class ProcessingOptionsWidget : public QVBox
{
	public:
		ProcessingOptionsWidget ( QWidget * parent = NULL, const char * name = NULL, WFlags flags = 0 );

		bool IsQualityOptionSet ( const QString & option ) const;
		QSize GetOutputSize ( ) const;
		unsigned int GetJPEGQuality ( ) const;

		bool RatioIgnore ( ) const;
		bool RatioWidth ( ) const;
		bool RatioHeight ( ) const;
		bool RatioSmart ( ) const;

	private:
		QWidget * m_resize, * m_quality;
};

#endif
