#ifndef _SCALEQUALITYWIDGET_H
#define _SCALEQUALITYWIDGET_H

#include <qwidget.h>
#include <qmap.h>
#include <qstring.h>

class ScaleQualityWidget : public QWidget
{
	public:
		ScaleQualityWidget ( QWidget * parent = NULL, const char * name = NULL, WFlags flags = 0 );

		bool IsOptionSet ( const QString & option ) const;

	private :
		QWidget * m_fastScale, * m_smoothScale;
		QMap < QString, QWidget * > m_options;
};

#endif
