#ifndef _ERRORDIALOG_H
#define _ERRORDIALOG_H

#include <qdialog.h>
#include <qwidget.h>

class ErrorDialog : public QDialog
{
	Q_OBJECT
	
	public:
		ErrorDialog ( const QStringList & errors, QWidget * parent = NULL, const char * name = NULL, WFlags flags = 0 );

	signals:
		void Closing ( );

	private:
		QWidget * m_list, * m_button;

		void SetupErrorList ( const QStringList & errors );
};

#endif
