#ifndef _FILECHOOSERBUTTONSWIDGET_H
#define _FILECHOOSERBUTTONSWIDGET_H

#include <qwidget.h>
#include "imageformats.h"

class FileChooserButtonsWidget : public QWidget
{
	Q_OBJECT
	public:
		FileChooserButtonsWidget ( QWidget * parent = NULL, const char * name = NULL, WFlags flags = 0 );

	signals:
		void NewFiles ( QStringList );
		void RemoveFiles ( );
		
	private slots:
		void AddFiles ( );

	private :
		QWidget * m_add, * m_remove;
		ImageFormats m_formats;
};

#endif
