#ifndef _FILECHOOSERWIDGET_H
#define _FILECHOOSERWIDGET_H

#include <qhbox.h>
#include <qstringlist.h>

class FileChooserWidget : public QHBox
{
	Q_OBJECT

	public:
		FileChooserWidget ( QWidget * parent = NULL, const char * name = NULL, WFlags flags = 0 );

		QStringList GetFiles ( ) const;

	signals:
		void SelectionChanged ( unsigned int );
		
	public slots:
		void AddFiles ( QStringList );	
		void RemoveFiles ( );

	private :
		QWidget * m_files, * m_buttons;
};


#endif
