#include "helpbuttonswidget.h"


HelpButtonsWidget::HelpButtonsWidget ( QWidget * parent, const char * name, WFlags flags )
	: QHBox ( parent, name, flags )
	, m_back ( NULL )
	, m_forward ( NULL )
	, m_home ( NULL )
	, m_quit ( NULL )
{
	setMargin ( 5 );
	setSpacing ( 5 );

	// Create the buttons
	m_home = new QPushButton ( "Contents", this );
	m_back = new QPushButton ( "Back", this );
	m_forward = new QPushButton ( "Forward", this );
	m_quit = new QPushButton ( "Quit", this );
	
	// Connect up the signals
	connect ( m_home, SIGNAL ( clicked ( ) ), this, SIGNAL ( Home ( ) ) );
	connect ( m_back, SIGNAL ( clicked ( ) ), this, SIGNAL ( Back ( ) ) );
	connect ( m_forward, SIGNAL ( clicked ( ) ), this, SIGNAL ( Forward ( ) ) );
	connect ( m_quit, SIGNAL ( clicked ( ) ), this, SIGNAL ( Quit ( ) ) );
}
