#include "helpdialog.h"
#include "helpwidget.h"
#include <qapplication.h>

HelpDialog::HelpDialog ( QWidget * parent, const char * name, WFlags flags )
	: QMainWindow ( parent, name, flags )
	, m_widget ( NULL )
{
	setCaption ( "BIRT Help" );
	setCentralWidget ( m_widget = new HelpWidget ( this ) );

	QSize desktopSize ( QApplication::desktop ( )->width ( ), QApplication::desktop ( )->height ( ) );
	setMinimumSize ( desktopSize / 3 );

	connect ( m_widget, SIGNAL ( Quit ( ) ), this, SIGNAL ( Closing ( ) ) );
	connect ( m_widget, SIGNAL ( Quit ( ) ), this, SLOT ( close ( ) ) );
}
