#ifndef _IMAGEFORMATS_H
#define _IMAGEFORMATS_H

#include <qstringlist.h>
#include <qdict.h>

class ImageFormats
{
	public:
		ImageFormats ( );
		~ImageFormats ( );

		QStringList GetImageFormats ( ) const;
		bool IsValidFormat ( const QString & type ) const;
		QStringList GetImageExtensions ( const QString & type ) const;

	private:
		QDict < QStringList > m_extensions;
};

#endif
