#ifndef _OUTPUTOPTIONSWIDGET_H
#define _OUTPUTOPTIONSWIDGET_H

#include <qvbox.h>
#include <qstring.h>

class OutputOptionsWidget : public QVBox
{
	Q_OBJECT
	
	public:
		OutputOptionsWidget ( QWidget * parent = NULL, const char * name = NULL, WFlags flags = 0 );

		QString GetOutputDirectory ( ) const;
		QString GetOutputPrefix ( ) const;
		QString GetOutputSuffix ( ) const;

	signals:
		void DirectoryChanged ( const QString & );
		
	private:
		QWidget * m_output, * m_naming;
};

#endif
