#ifndef _OUTPUTWIDGET_H
#define _OUTPUTWIDGET_H

#include <qwidget.h>
#include <qstring.h>

class OutputWidget : public QWidget
{
	Q_OBJECT
	
	public:
		OutputWidget ( QWidget * parent = NULL, const char * name = NULL, WFlags flags = 0 );

		QString GetDirectory ( ) const;

	signals:
		void SetDirText ( const QString & );
		void DirTextChanged ( const QString & );
		
	private slots:
		void BrowseClicked ( );
		
	private :
		QWidget * m_dir, * m_dirChooser;
};


#endif
