#ifndef _RESIZEWIDGET_H
#define _RESIZEWIDGET_H

#include <qwidget.h>
#include <qcombobox.h>
#include <qlineedit.h>

class ResizeWidget : public QWidget
{
	public:
		ResizeWidget ( QWidget * parent = NULL, const char * name = NULL, WFlags flags = 0 );

		unsigned long Width ( ) const;
		unsigned long Height ( ) const;

		bool RatioIgnore ( ) const;
		bool RatioWidth ( ) const;
		bool RatioHeight ( ) const;
		bool RatioSmart ( ) const;

	private :
		QLineEdit * m_width, * m_height;
		QComboBox * m_ratio;

		enum RatioType { IGNORE, KEEP_WIDTH, KEEP_HEIGHT, SMART};
};

#endif
